List Webhook Deliveries
GET
List webhook delivery logs for a tenant
header
X-Api-Key<token>API key in format: sti_env_prefix_secret
pageSize?integerDefault 20, max 100
Range
1 <= value <= 100Default
20pageToken?stringPass next_page_token from a prior response
status?stringDelivery status
Value in
"PENDING""PROCESSING""RETRYING""SUCCESS""FAILED"eventType?stringsubscriptionId?stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidDefault Response
application/json- response
deliveries*array<>page*curl -X GET 'https://api.sandbox.stables.money/api/v1/webhooks/deliveries'Example Response200
{ "deliveries": [ { "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901", "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f", "subscriptionName": "string", "subscriptionUrl": "string", "eventType": "string", "status": "PENDING", "attemptCount": -9007199254740991, "lastAttemptAt": "2019-08-24T14:15:22Z", "nextRetryAt": "2019-08-24T14:15:22Z", "responseCode": -9007199254740991, "responseBody": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "page": { "nextPageToken": "string", "total": -9007199254740991 }}The first place to look when your endpoint is not receiving events: each attempt shows the HTTP status your endpoint returned and its retry state.